## org.codehaus.groovy.grails.test.junit3
Class JUnit3GrailsTestTypeResult

    java.lang.Object
      org.codehaus.groovy.grails.test.junit3.JUnit3GrailsTestTypeResult

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsTestTypeResult

    public class JUnit3GrailsTestTypeResult

extends Object
implements GrailsTestTypeResult, groovy.lang.GroovyObject

Field Summary
`protected Object` `result`

Constructor Summary
`JUnit3GrailsTestTypeResult(junit.framework.TestResult result)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`int` `getFailCount()`
`groovy.lang.MetaClass` `getMetaClass()`
`int` `getPassCount()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected Object result

Constructor Detail

### JUnit3GrailsTestTypeResult

    public JUnit3GrailsTestTypeResult(junit.framework.TestResult result)

Method Detail

### getPassCount

    public int getPassCount()

  Specified by:
    `getPassCount` in interface `GrailsTestTypeResult`

### getFailCount

    public int getFailCount()

  Specified by:
    `getFailCount` in interface `GrailsTestTypeResult`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project